Debian Bug report logs - #509575
module-init-tools update etch=>lenny fails on old system due to old diversion

version graph

Package: module-init-tools; Maintainer for module-init-tools is Marco d'Itri <md@linux.it>; Source for module-init-tools is src:kmod.

Reported by: Marc Haber <mh+debian-bugs@zugschlus.de>

Date: Tue, 23 Dec 2008 12:15:02 UTC

Severity: important

Found in version module-init-tools/3.4-1

Fixed in version module-init-tools/3.7-pre2-1

Done: Marco d'Itri <md@linux.it>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#509575; Package module-init-tools. (Tue, 23 Dec 2008 12:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
New Bug report received and forwarded. Copy sent to Marco d'Itri <md@linux.it>. (Tue, 23 Dec 2008 12:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: module-init-tools update etch=>lenny fails on old system due to old diversion
Date: Tue, 23 Dec 2008 13:13:48 +0100
Package: module-init-tools
Version: 3.4-1
Severity: important

I have a very old system which has been updated from (at least) woody
via sarge to etch. This system still has some diversions in place
which have probably originated from updating from modutils to
module-init-tools:

diversion of /sbin/depmod to /sbin/depmod.modutils by module-init-tools
diversion of /usr/share/man/man8/depmod.8.gz to /usr/share/man/man8/depmod.modutils.8.gz by module-init-tools
diversion of /usr/share/man/fr/man8/depmod.8.gz to /usr/share/man/fr/man8/depmod.modutils.8.gz by module-init-tools
diversion of /sbin/insmod to /sbin/insmod.modutils by module-init-tools
diversion of /usr/share/man/man8/insmod.8.gz to /usr/share/man/man8/insmod.modutils.8.gz by module-init-tools
diversion of /usr/share/man/fr/man8/insmod.8.gz to /usr/share/man/fr/man8/insmod.modutils.8.gz by module-init-tools
diversion of /sbin/update-modules to /sbin/update-modules.modutils by module-init-tools
diversion of /usr/share/man/man8/update-modules.8.gz to /usr/share/man/man8/update-modules.modutils.8.gz by module-init-tools
diversion of /usr/share/man/fr/man8/update-modules.8.gz to /usr/share/man/fr/man8/update-modules.modutils.8.gz by module-init-tools
diversion of /sbin/modinfo to /sbin/modinfo.modutils by module-init-tools
diversion of /usr/share/man/man8/modinfo.8.gz to /usr/share/man/man8/modinfo.modutils.8.gz by module-init-tools
diversion of /usr/share/man/fr/man8/modinfo.8.gz to /usr/share/man/fr/man8/modinfo.modutils.8.gz by module-init-tools
diversion of /sbin/kallsyms to /sbin/kallsyms.modutils by module-init-tools
diversion of /sbin/ksyms to /sbin/ksyms.modutils by module-init-tools
diversion of /sbin/lsmod to /sbin/lsmod.Lmodutils by module-init-tools
diversion of /usr/share/man/man8/lsmod.8.gz to /usr/share/man/man8/lsmod.modutils.8.gz by module-init-tools
diversion of /usr/share/man/fr/man8/lsmod.8.gz to /usr/share/man/fr/man8/lsmod.modutils.8.gz by module-init-tools
diversion of /sbin/modprobe to /sbin/modprobe.Lmodutils by module-init-tools
diversion of /usr/share/man/man8/modprobe.8.gz to /usr/share/man/man8/modprobe.modutils.8.gz by module-init-tools
diversion of /usr/share/man/fr/man8/modprobe.8.gz to /usr/share/man/fr/man8/modprobe.modutils.8.gz by module-init-tools
diversion of /sbin/rmmod to /sbin/rmmod.Lmodutils by module-init-tools
diversion of /usr/share/man/man8/rmmod.8.gz to /usr/share/man/man8/rmmod.modutils.8.gz by module-init-tools
diversion of /usr/share/man/fr/man8/rmmod.8.gz to /usr/share/man/fr/man8/rmmod.modutils.8.gz by module-init-tools
diversion of /usr/share/man/man5/modules.5.gz to /usr/share/man/man5/modules.modutils.5.gz by module-init-tools
diversion of /usr/share/man/fr/man5/modules.5.gz to /usr/share/man/fr/man5/modules.modutils.5.gz by module-init-tools

Due to these diversions, the update from etch to lenny, using the
procedure laid out in the release notes, fails:

Setting up module-init-tools (3.4-1) ...
Installing new version of config file /etc/modprobe.d/aliases ...
Installing new version of config file /etc/modprobe.d/arch/i386 ...
dpkg-divert: rename involves overwriting `/sbin/insmod' with
  different file `/sbin/insmod.modutils', not allowed
dpkg: error processing module-init-tools (--configure):
 subprocess post-installation script returned error exit status 2

I have a test setup for etch => lenny updates and can therefore
reproduce the issue to help finding out what exactly is going wrong.

Greetings
Marc




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#509575; Package module-init-tools. (Tue, 23 Dec 2008 14:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Tue, 23 Dec 2008 14:36:02 GMT) Full text and rfc822 format available.

Message #10 received at 509575@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Marc Haber <mh+debian-bugs@zugschlus.de>, 509575@bugs.debian.org
Subject: Re: Bug#509575: module-init-tools update etch=>lenny fails on old system due to old diversion
Date: Tue, 23 Dec 2008 15:34:26 +0100
[Message part 1 (text/plain, inline)]
On Dec 23, Marc Haber <mh+debian-bugs@zugschlus.de> wrote:

> I have a test setup for etch => lenny updates and can therefore
> reproduce the issue to help finding out what exactly is going wrong.
Please do, because I have been lost for a long time in the mess of the
m-i-t diversions...

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#509575; Package module-init-tools. (Tue, 23 Dec 2008 18:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Tue, 23 Dec 2008 18:45:02 GMT) Full text and rfc822 format available.

Message #15 received at 509575@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Marco d'Itri <md@Linux.IT>
Cc: 509575@bugs.debian.org
Subject: Re: Bug#509575: module-init-tools update etch=>lenny fails on old system due to old diversion
Date: Tue, 23 Dec 2008 19:41:48 +0100
On Tue, Dec 23, 2008 at 03:34:26PM +0100, Marco d'Itri wrote:
> On Dec 23, Marc Haber <mh+debian-bugs@zugschlus.de> wrote:
> > I have a test setup for etch => lenny updates and can therefore
> > reproduce the issue to help finding out what exactly is going wrong.
> Please do, because I have been lost for a long time in the mess of the
> m-i-t diversions...

Do you have any insights about where to find out what's going on here?

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 3221 2323190




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#509575; Package module-init-tools. (Tue, 23 Dec 2008 23:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Tue, 23 Dec 2008 23:00:04 GMT) Full text and rfc822 format available.

Message #20 received at 509575@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Marc Haber <mh+debian-bugs@zugschlus.de>
Cc: 509575@bugs.debian.org
Subject: Re: Bug#509575: module-init-tools update etch=>lenny fails on old system due to old diversion
Date: Tue, 23 Dec 2008 23:44:25 +0100
[Message part 1 (text/plain, inline)]
On Dec 23, Marc Haber <mh+debian-bugs@zugschlus.de> wrote:

> Do you have any insights about where to find out what's going on here?
Over time all diversions have been removed from the package. For some
reason some is left, so I suspect that this happens when you do a
straight upgrade from etch. OTOH, nobody else reported this so far.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#509575; Package module-init-tools. (Wed, 24 Dec 2008 13:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Wed, 24 Dec 2008 13:48:05 GMT) Full text and rfc822 format available.

Message #25 received at 509575@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: 509575@bugs.debian.org
Subject: Re: Bug#509575: module-init-tools update etch=>lenny fails on old system due to old diversion
Date: Wed, 24 Dec 2008 14:45:31 +0100
On Tue, Dec 23, 2008 at 03:34:26PM +0100, Marco d'Itri wrote:
> On Dec 23, Marc Haber <mh+debian-bugs@zugschlus.de> wrote:
> > I have a test setup for etch => lenny updates and can therefore
> > reproduce the issue to help finding out what exactly is going wrong.
> Please do, because I have been lost for a long time in the mess of the
> m-i-t diversions...

This code removes all diversions belonging to modutils from the system
"the hard way" and allow module-init-tools to be updated on the test
system. I cannot comment on whether it may be suitable for inclusion
into the package. Use at your own risk.

The rm/ln code for /sbin/insmod(.modutils) may be a fix for local
issue on my system where /sbin/insmod.modutils was a zero bytes file.
I don't know why dpkg-divert checks whether the file is a hard-link
before renaming, but that seemed to be necessary.

Greetings
Marc


#!/bin/bash

rm -f /sbin/insmod.modutils
ln /sbin/insmod /sbin/insmod.modutils

for file in /sbin/depmod /sbin/insmod /sbin/update-modules /sbin/modinfo \
      /sbin/kallsyms /sbin/ksyms; do
  echo "dpkg-divert --remove --rename --package module-init-tools --divert $file.modutils $file"
  dpkg-divert --remove --rename --package module-init-tools --divert $file.modutils $file
done

for file in /sbin/lsmod /sbin/modprobe /sbin/rmmod ; do
  echo "dpkg-divert --remove --rename --package module-init-tools --divert $file.Lmodutils $file"
  dpkg-divert --remove --rename --package module-init-tools --divert $file.Lmodutils $file
done

for file in /usr/share/man/man8/depmod.8.gz \
      /usr/share/man/fr/man8/depmod.8.gz \
      /usr/share/man/man8/insmod.8.gz /usr/share/man/fr/man8/insmod.8.gz \
      /usr/share/man/man8/update-modules.8.gz \
      /usr/share/man/fr/man8/update-modules.8.gz \
      /usr/share/man/man8/modinfo.8.gz /usr/share/man/fr/man8/modinfo.8.gz \
      /usr/share/man/man8/lsmod.8.gz /usr/share/man/fr/man8/lsmod.8.gz \
      /usr/share/man/man8/modprobe.8.gz /usr/share/man/fr/man8/modprobe.8.gz \
      /usr/share/man/man8/rmmod.8.gz /usr/share/man/fr/man8/rmmod.8.gz \
      /usr/share/man/man5/modules.5.gz /usr/share/man/fr/man5/modules.5.gz; do
  DIVERTED="$(echo $file | sed 's/\(.*\)\(\.[[:digit:]]\+\.gz\)$/\1.modutils\2/')"
  echo "dpkg-divert --remove --rename --package module-init-tools --divert $DIVERTED $file"
  dpkg-divert --remove --rename --package module-init-tools --divert $DIVERTED $file
done



-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 3221 2323190




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#509575; Package module-init-tools. (Fri, 02 Jan 2009 17:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Fri, 02 Jan 2009 17:27:02 GMT) Full text and rfc822 format available.

Message #30 received at 509575@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Marc Haber <mh+debian-bugs@zugschlus.de>, 509575@bugs.debian.org
Subject: Re: Bug#509575: module-init-tools update etch=>lenny fails on old system due to old diversion
Date: Fri, 2 Jan 2009 18:25:34 +0100
[Message part 1 (text/plain, inline)]
On Dec 24, Marc Haber <mh+debian-bugs@zugschlus.de> wrote:

> The rm/ln code for /sbin/insmod(.modutils) may be a fix for local
> issue on my system where /sbin/insmod.modutils was a zero bytes file.
This looks wrong, and makes me think your problem was system-specific.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#509575; Package module-init-tools. (Sat, 03 Jan 2009 15:06:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 03 Jan 2009 15:06:15 GMT) Full text and rfc822 format available.

Message #35 received at 509575@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Marco d'Itri <md@Linux.IT>
Cc: 509575@bugs.debian.org
Subject: Re: Bug#509575: module-init-tools update etch=>lenny fails on old system due to old diversion
Date: Sat, 3 Jan 2009 16:01:34 +0100
On Fri, Jan 02, 2009 at 06:25:34PM +0100, Marco d'Itri wrote:
> On Dec 24, Marc Haber <mh+debian-bugs@zugschlus.de> wrote:
> > The rm/ln code for /sbin/insmod(.modutils) may be a fix for local
> > issue on my system where /sbin/insmod.modutils was a zero bytes file.
> This looks wrong, and makes me think your problem was system-specific.

Wouldn't it still be a good idea to take care of left-over diversions?

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 3221 2323190




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#509575; Package module-init-tools. (Sat, 03 Jan 2009 15:09:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to md@Linux.IT (Marco d'Itri):
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 03 Jan 2009 15:09:07 GMT) Full text and rfc822 format available.

Message #40 received at 509575@bugs.debian.org (full text, mbox):

From: md@Linux.IT (Marco d'Itri)
To: Marc Haber <mh+debian-bugs@zugschlus.de>
Cc: 509575@bugs.debian.org
Subject: Re: Bug#509575: module-init-tools update etch=>lenny fails on old system due to old diversion
Date: Sat, 3 Jan 2009 16:07:10 +0100
[Message part 1 (text/plain, inline)]
On Jan 03, Marc Haber <mh+debian-bugs@zugschlus.de> wrote:

> On Fri, Jan 02, 2009 at 06:25:34PM +0100, Marco d'Itri wrote:
> > On Dec 24, Marc Haber <mh+debian-bugs@zugschlus.de> wrote:
> > > The rm/ln code for /sbin/insmod(.modutils) may be a fix for local
> > > issue on my system where /sbin/insmod.modutils was a zero bytes file.
> > This looks wrong, and makes me think your problem was system-specific.
> Wouldn't it still be a good idea to take care of left-over diversions?
I'd rather not add more hard to understand code for a problem which
appears to affect only your system.

-- 
ciao,
Marco
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#509575; Package module-init-tools. (Sat, 03 Jan 2009 15:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 03 Jan 2009 15:27:02 GMT) Full text and rfc822 format available.

Message #45 received at 509575@bugs.debian.org (full text, mbox):

From: Marc Haber <mh+debian-bugs@zugschlus.de>
To: Marco d'Itri <md@Linux.IT>
Cc: 509575@bugs.debian.org
Subject: Re: Bug#509575: module-init-tools update etch=>lenny fails on old system due to old diversion
Date: Sat, 3 Jan 2009 16:25:31 +0100
On Sat, Jan 03, 2009 at 04:07:10PM +0100, Marco d'Itri wrote:
> I'd rather not add more hard to understand code for a problem which
> appears to affect only your system.

*shrug*

Greetings
Marc

-- 
-----------------------------------------------------------------------------
Marc Haber         | "I don't trust Computers. They | Mailadresse im Header
Mannheim, Germany  |  lose things."    Winona Ryder | Fon: *49 621 72739834
Nordisch by Nature |  How to make an American Quilt | Fax: *49 3221 2323190




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#509575; Package module-init-tools. (Sat, 14 Feb 2009 17:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Shams Fantar <sfantar@snurf.info>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sat, 14 Feb 2009 17:15:08 GMT) Full text and rfc822 format available.

Message #50 received at 509575@bugs.debian.org (full text, mbox):

From: Shams Fantar <sfantar@snurf.info>
To: 509575@bugs.debian.org
Subject: module-init-tools update etch=>lenny fails on old system due to old diversion
Date: Sat, 14 Feb 2009 18:14:47 +0100
I had this bug a few days ago, I was upgrading from etch to lenny.

I found a solution, you will find my solution on my blog[1].

But that problem caused stopping of the upgrade, during upgrade, a 
problem like this one shouldn't stop the upgrade, aptitude/apt should 
upgrade the rest of packages that are not yet upgraded, because 
module-init-tools is before them.

This "patch"[2] didn't solve the problem. (even if the bash code seems 
to do the same things I did in my solution...)

[1] : 
http://en.about-gnulinux.info/index.php?post/2009/02/14/The-package-module-init-tools-causes-problem...

[2] : http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=509575#25




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#509575; Package module-init-tools. (Sun, 15 Feb 2009 11:21:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to a---p@mail.ru:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Sun, 15 Feb 2009 11:21:03 GMT) Full text and rfc822 format available.

Message #55 received at 509575@bugs.debian.org (full text, mbox):

From: "Alexey Pikalev" <a---p@mail.ru>
To: 509575@bugs.debian.org
Subject: Re: Bug#509575: module-init-tools update etch=>lenny fails on old system due to old diversion
Date: Sun, 15 Feb 2009 14:20:07 +0300 (MSK)
I had the same problem while updating from etch to lenny today

[UPGRADE] module-init-tools 3.3-pre4-2 -> 3.4-1

dpkg failed to configure the package:

# dpkg --configure module-init-tools
Setting up module-init-tools (3.4-1) ...
dpkg-divert: rename involves overwriting `/sbin/depmod' with
  different file `/sbin/depmod.modutils', not allowed
dpkg: error processing module-init-tools (--configure):
 subprocess post-installation script returned error exit status 2
Errors were encountered while processing:
 module-init-tools

I've found that diverted files was the same as original files:

# dpkg-divert  --list|grep depmod
diversion of /sbin/depmod to /sbin/depmod.modutils by module-init-tools
diversion of /usr/share/man/man8/depmod.8.gz to
/usr/share/man/man8/depmod.modutils.8.gz by module-init-tools
diversion of /usr/share/man/fr/man8/depmod.8.gz to
/usr/share/man/fr/man8/depmod.modutils.8.gz by module-init-tools

# ls -l /sbin/depmod*
-rwxr-xr-x 1 root root 44188 2008-04-05 05:41 /sbin/depmod
-rwxr-xr-x 1 root root 44188 2008-04-05 05:41 /sbin/depmod.modutils

# diff /sbin/depmod /sbin/depmod.modutils
<no answer>

tried to remove diversion:
# dpkg-divert --rename --remove /sbin/depmod
Removing `diversion of /sbin/depmod to /sbin/depmod.modutils by
module-init-tools'
dpkg-divert: rename involves overwriting `/sbin/depmod' with
  different file `/sbin/depmod.modutils', not allowed

then i removed depmod.modutils:
# mv /sbin/depmod.modutils /root/
# dpkg-divert --rename --remove /sbin/depmod
Removing `diversion of /sbin/depmod to /sbin/depmod.modutils by
module-init-tools'
# dpkg-divert --rename --remove /sbin/depmod
No diversion `any diversion of /sbin/depmod', none removed
# dpkg --configure module-init-tools
Setting up module-init-tools (3.4-1) ...
dpkg-divert: rename involves overwriting `/sbin/insmod' with
  different file `/sbin/insmod.modutils', not allowed
dpkg: error processing module-init-tools (--configure):
 subprocess post-installation script returned error exit status 2
Errors were encountered while processing:
 module-init-tools

same with other files:
# mv /sbin/insmod.modutils /root/
# mv /sbin/update-modules.modutils /root/
# mv /sbin/modinfo.modutils /root/
# mv /sbin/lsmod.modutils /root/
# ls -l rmm*
-rwxr-xr-x 1 root root 7540 2008-04-05 05:41 rmmod
-rwxr-xr-x 1 root root 7540 2008-04-05 05:41 rmmod.Lmodutils
lrwxrwxrwx 1 root root   15 2008-07-29 02:34 rmmod.modutils ->
insmod.modutils
# dpkg-divert  --list|grep rmmod
diversion of /sbin/rmmod to /sbin/rmmod.Lmodutils by module-init-tools
diversion of /usr/share/man/man8/rmmod.8.gz to
/usr/share/man/man8/rmmod.modutils.8.gz by module-init-tools
diversion of /usr/share/man/fr/man8/rmmod.8.gz to
/usr/share/man/fr/man8/rmmod.modutils.8.gz by module-init-tools
# mv rmmod.Lmodutils /root/
# ls -l modpro*
-rwxr-xr-x 1 root root 25124 2008-04-05 05:41 modprobe
-rwxr-xr-x 1 root root 25124 2008-04-05 05:41 modprobe.Lmodutils
lrwxrwxrwx 1 root root    15 2008-07-29 02:34 modprobe.modutils ->
insmod.modutils
# diff modprobe modprobe.Lmodutils
# mv modprobe.Lmodutils /root/
# dpkg --configure module-init-tools
Setting up module-init-tools (3.4-1) ...
# dpkg-reconfigure module-init-tools

Best regards, Alexey




Information forwarded to debian-bugs-dist@lists.debian.org, Marco d'Itri <md@linux.it>:
Bug#509575; Package module-init-tools. (Tue, 17 Feb 2009 12:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco <marcob@inventati.org>:
Extra info received and forwarded to list. Copy sent to Marco d'Itri <md@linux.it>. (Tue, 17 Feb 2009 12:39:03 GMT) Full text and rfc822 format available.

Message #60 received at 509575@bugs.debian.org (full text, mbox):

From: Marco <marcob@inventati.org>
To: 509575@bugs.debian.org
Subject: Re: Bug#509575: module-init-tools update etch=>lenny fails on old system due to old diversion
Date: Tue, 17 Feb 2009 13:36:00 +0100
* Marco d'Itri <md@Linux.IT> [2009 01 03, 16:07]:
> > Wouldn't it still be a good idea to take care of left-over diversions?
> I'd rather not add more hard to understand code for a problem which
> appears to affect only your system.

 Same problem here, upgrading from a mixed system etch+lenny to lenny.
Managed to complete the upgrade with the following:

# dpkg --configure module-init-tools
Setting up module-init-tools (3.4-1) ...
dpkg-divert: rename involves overwriting `/sbin/depmod' with
  different file `/sbin/depmod.modutils', not allowed
dpkg: error processing module-init-tools (--configure):
 subprocess post-installation script returned error exit status 2
Errors were encountered while processing:
 module-init-tools

# dpkg-divert  --list|grep depmod
diversion of /sbin/depmod to /sbin/depmod.modutils by module-init-tools
diversion of /usr/share/man/man8/depmod.8.gz to /usr/share/man/man8/depmod.modutils.8.gz by module-init-tools
diversion of /usr/share/man/fr/man8/depmod.8.gz to /usr/share/man/fr/man8/depmod.modutils.8.gz by module-init-tools

# ls -l /sbin/depmod*
-rwxr-xr-x 1 root root 52800 2008-04-05 04:06 /sbin/depmod
-rwxr-xr-x 1 root root 52800 2008-04-05 04:06 /sbin/depmod.modutils

# mv /sbin/depmod.modutils /root
# mv /sbin/insmod.modutils /root
# mv /sbin/update-modules.modutils /root
# mv /sbin/modinfo.modutils /root
# mv /sbin/lsmod.Lmodutils /root
# mv /sbin/rmmod.Lmodutils /root
# mv /sbin/modprobe.Lmodutils /root

# dpkg --configure module-init-tools
Setting up module-init-tools (3.4-1) ...
#

Greetings





Reply sent to Marco d'Itri <md@linux.it>:
You have taken responsibility. (Mon, 02 Mar 2009 22:42:15 GMT) Full text and rfc822 format available.

Notification sent to Marc Haber <mh+debian-bugs@zugschlus.de>:
Bug acknowledged by developer. (Mon, 02 Mar 2009 22:42:15 GMT) Full text and rfc822 format available.

Message #65 received at 509575-close@bugs.debian.org (full text, mbox):

From: Marco d'Itri <md@linux.it>
To: 509575-close@bugs.debian.org
Subject: Bug#509575: fixed in module-init-tools 3.7-pre2-1
Date: Mon, 02 Mar 2009 22:18:42 +0000
Source: module-init-tools
Source-Version: 3.7-pre2-1

We believe that the bug you reported is fixed in the latest version of
module-init-tools, which is due to be installed in the Debian FTP archive:

module-init-tools-udeb_3.7-pre2-1_i386.udeb
  to pool/main/m/module-init-tools/module-init-tools-udeb_3.7-pre2-1_i386.udeb
module-init-tools_3.7-pre2-1.diff.gz
  to pool/main/m/module-init-tools/module-init-tools_3.7-pre2-1.diff.gz
module-init-tools_3.7-pre2-1.dsc
  to pool/main/m/module-init-tools/module-init-tools_3.7-pre2-1.dsc
module-init-tools_3.7-pre2-1_i386.deb
  to pool/main/m/module-init-tools/module-init-tools_3.7-pre2-1_i386.deb
module-init-tools_3.7-pre2.orig.tar.gz
  to pool/main/m/module-init-tools/module-init-tools_3.7-pre2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 509575@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Marco d'Itri <md@linux.it> (supplier of updated module-init-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 02 Mar 2009 23:07:40 +0100
Source: module-init-tools
Binary: module-init-tools module-init-tools-udeb
Architecture: source i386
Version: 3.7-pre2-1
Distribution: unstable
Urgency: low
Maintainer: Marco d'Itri <md@linux.it>
Changed-By: Marco d'Itri <md@linux.it>
Description: 
 module-init-tools - tools for managing Linux kernel modules
 module-init-tools-udeb - tools for managing Linux kernel modules (udeb)
Closes: 397765 486716 491437 504090 506367 506557 509575
Changes: 
 module-init-tools (3.7-pre2-1) unstable; urgency=low
 .
   * New upstream release. (Closes: #506557)
     + Reads the configuration files in a deterministic order. (Closes: #397765)
     + Mentions modinfo(8) in other man pages. (Closes: #486716)
     + Documents the -b modprobe argument. (Closes: #491437)
   * Added patch no_maps_by_default: stop building the maps files by default
     and see what happens.
   * Removed patch runparts_like_names which has been replaced by a similar
     official feature.
   * Removed a wrong vcs-git URL. (Closes: #504090)
   * Fixed the URL in the debian/watch file. (Closes: #506367)
   * Commented some redundant module aliases.
   * Tries harder to clean up the old diversions. (Closes: #509575)
   * Removed support for /lib/modules/boot/.
Checksums-Sha1: 
 de9b7db1e2cc14454566f5064e989b6068e6ee12 1111 module-init-tools_3.7-pre2-1.dsc
 0de40e2f84c545f35a10aac1b42caf117a2cae7d 237091 module-init-tools_3.7-pre2.orig.tar.gz
 4c4835620c338d783350364870f27478b9bf3582 1553 module-init-tools_3.7-pre2-1.diff.gz
 a9b6905d6bdd8ee6664cc7282bdc34e0a62e0c97 81976 module-init-tools_3.7-pre2-1_i386.deb
 325d7dfa8dc7d1622a6bcde8027a9358edad4f3d 38402 module-init-tools-udeb_3.7-pre2-1_i386.udeb
Checksums-Sha256: 
 02e24bcefd4ea93445b247b368abd81635a6f0c4e0125f2d650041981d259d38 1111 module-init-tools_3.7-pre2-1.dsc
 f9df0f99fe726bbc5a145a1197dfc89ef41b35a209d7ab0712166f6540c88291 237091 module-init-tools_3.7-pre2.orig.tar.gz
 77b7ce163733161b559d4143ceeb022e4bfac5eb69ad013e9819f6827d2fc00b 1553 module-init-tools_3.7-pre2-1.diff.gz
 7bb5030797256061496945d514c59fe8f6c6e3b3f206939cf5f53940717f416a 81976 module-init-tools_3.7-pre2-1_i386.deb
 092ad3dfe091285fd7383d8788634b8a0a2bb572b3f6a6f7f6f171ffe950e20f 38402 module-init-tools-udeb_3.7-pre2-1_i386.udeb
Files: 
 e57c57078e6477171c23479b63bcc352 1111 admin important module-init-tools_3.7-pre2-1.dsc
 d94ae44368f13b9ac1ea1c9e50b921f0 237091 admin important module-init-tools_3.7-pre2.orig.tar.gz
 7c1cdc5588dc2aed64c751f36131d707 1553 admin important module-init-tools_3.7-pre2-1.diff.gz
 9c43bfc4d4e6a600ae0226e491cddf33 81976 admin important module-init-tools_3.7-pre2-1_i386.deb
 e8427ab7d6f276a99e1765d024d69b38 38402 debian-installer extra module-init-tools-udeb_3.7-pre2-1_i386.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmsWTYACgkQFGfw2OHuP7FbMwCeIYPhCel/Nluuvb7MSRJYdXAf
sM0An0CxZUJhjIJOF9uXg3PlmVV1iELA
=F6Iy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 01 Apr 2009 07:33:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:37:59 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.